html,
body,
#app {
  min-height: 100vh;
}
body {
  font-family: $font-family;
  color: var(--clr-silver);
  background-color: var(--clr-dark-navy);
  display: grid;
  grid-template-rows: min-content 1fr;
  // place-items: center;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  overflow-x: hidden;
}
/* Hide scrollbar for Chrome, Safari and Opera */
*::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
* {
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}

#app {
  // background-color: #efeeed;
  // display: flex;
  // flex-direction: column;
  // display: grid;
  // place-items: center;
}

img {
  vertical-align: top;
}

// firefox fix 'shaking font inside button'
input[type="button"],
button {
  padding: 0;
}

.clearfix::after {
  display: table;
  clear: both;
  content: "";
}

.is-active {
  //border-radius: 5px;
  //border: 3px solid #bebebe;
  //padding: 5px 15px;
}

.wrapper {
  margin-right: auto; /* 1 */
  margin-left: auto; /* 1 */

  min-width: 80%; /* 2 */
  padding-right: 1rem; /* 3 */
  padding-left: 1rem; /* 3 */

  @include media_desktop {
    // max-width: 1200px;
    // background: red;
  }

  @include media_tablet {
    // background: yellow;
    // max-width: 1024px;
  }

  @include media_mobile {
    // background: green;
  }
}
::placeholder {
  /* Most modern browsers support this now. */
  color: $color-font-placeholder;
}
// routes transition animation
.fade-enter-active {
  transition: opacity 0.8s;
}
.fade-enter,
.fade-leave-to {
  opacity: 0;
}

// // define default classes (IN UPPERCASE)

// // font
// .FONT_TITLE {
//   font-family: $font-title;
// }
// .FONT_CONTENT {
//   font-family: $font-content;
// }
// .ITALIC {
//   font-style: italic;
// }
// .BOLD {
//   font-weight: bold;
// }
// .NOWRAP {
//   white-space: nowrap;
// }

// // color
// .COLOR_MAIN {
//   color: blue;
// }
// .COLOR_ERROR {
//   color: $color-error;
// }
// .display-md {
//   display: none;
//   @media (min-width: 56.25em) {
//     display: inline-block;
//   }
// }
